petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDataTypeToHDF5DataType

Converts the PETSc name of a datatype to its HDF5 name.

### Synopsis

    #include "petscsys.h"
    #include "petscviewerhdf5.h"
    PetscErrorCode PetscDataTypeToHDF5DataType(PetscDataType ptype, hid_t *htype)

Not collective

### Input Parameter

ptype -the PETSc datatype name (for example PETSC_DOUBLE)

### Output Parameter

mtype -the MPI datatype (for example MPI_DOUBLE, ...)

### See Also

PetscDataType, PetscHDF5DataTypeToPetscDataType()

Level:advanced
Location:src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages